phase.shift.hilbert {waveslim} | R Documentation

## Phase Shift for Hilbert Wavelet Coefficients

### Description

Wavelet coefficients are circularly shifted by the amount of phase shift induced by the discrete Hilbert wavelet transform.

### Usage

    phase.shift.hilbert(x, wf)
    phase.shift.hilbert.packet(x, wf)

### Arguments

`x` | Discete Hilbert wavelet transform (DHWT) object.
`wf` | character string; Hilbert wavelet pair used in DHWT

### Details

The "center-of-energy" argument of Hess-Nielsen and Wickerhauser (1996) is used to provide a flexible way to circularly shift wavelet coefficients regardless of the wavelet filter used.

### Value

DHWT (DHWPT) object with coefficients circularly shifted.

### Author(s)

B. Whitcher

### References

Hess-Nielsen, N. and M. V. Wickerhauser (1996) Wavelets and time-frequency analysis, Proceedings of the IEEE, 84, No. 4, 523-540.

### See Also

`phase.shift`

[Package waveslim version 1.7.5.1 Index]